Altostrat Studio is here — the AI-native network operations IDE for engineers running production. Terminal, diagrams, runbooks, and Copilot in one workspace. Get started →
curl --request PUT \
--url https://v1.api.altostrat.io/content/policy/{policyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Guest Wi-Fi Policy",
"block_adult": true,
"applications": [
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b"
],
"safe_search": [
{
"id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
"option": "strict"
}
],
"dns_whitelist": [
"partner-portal.com"
],
"dns_blacklist": [
"<string>"
],
"sites": [
"9a9d3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8d",
"9a9e3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8e"
]
}
'{
"id": "9a9a3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8a",
"name": "Standard Employee Policy",
"applications": [
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
"9a9c3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
],
"safe_search": [
{
"id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
"option": "strict"
}
],
"dns_whitelist": [
"internal.corp.com",
"status.altostrat.io"
],
"dns_blacklist": [
"malicious-site.net"
],
"block_adult": true,
"attachments": 5,
"created_at": "2025-10-29T13:04:44Z"
}Updates the properties of an existing DNS policy. You can change its name, application blocks, safe search settings, and site attachments.
curl --request PUT \
--url https://v1.api.altostrat.io/content/policy/{policyId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Guest Wi-Fi Policy",
"block_adult": true,
"applications": [
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b"
],
"safe_search": [
{
"id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
"option": "strict"
}
],
"dns_whitelist": [
"partner-portal.com"
],
"dns_blacklist": [
"<string>"
],
"sites": [
"9a9d3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8d",
"9a9e3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8e"
]
}
'{
"id": "9a9a3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8a",
"name": "Standard Employee Policy",
"applications": [
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
"9a9c3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
],
"safe_search": [
{
"id": "9a9f3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8f",
"option": "strict"
}
],
"dns_whitelist": [
"internal.corp.com",
"status.altostrat.io"
],
"dns_blacklist": [
"malicious-site.net"
],
"block_adult": true,
"attachments": 5,
"created_at": "2025-10-29T13:04:44Z"
}Documentation Index
Fetch the complete documentation index at: https://altostrat.io/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The unique identifier of the DNS policy to update.
A human-readable name for the policy.
"Guest Wi-Fi Policy"
If true, automatically blocks all applications categorized as adult content.
true
A list of application IDs to be blocked by this policy.
["9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b"]A list of Safe Search enforcement rules.
Show child attributes
A list of FQDNs to always allow.
["partner-portal.com"]A list of FQDNs to always block.
A list of site IDs to which this policy should be attached. Any sites not in this list will be detached.
[
"9a9d3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8d",
"9a9e3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8e"
]The DNS policy was updated successfully.
The unique identifier for the DNS policy.
"9a9a3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8a"
A human-readable name for the policy.
"Standard Employee Policy"
A list of application IDs to be blocked by this policy.
[
"9a9b3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8b",
"9a9c3e6a-5c3a-4f1e-9a0a-2b2a1e1d8e8c"
]A list of Safe Search enforcement rules.
Show child attributes
A list of fully qualified domain names (FQDNs) to always allow, overriding any blocking rules.
["internal.corp.com", "status.altostrat.io"]A list of fully qualified domain names (FQDNs) to always block.
["malicious-site.net"]If true, automatically blocks all applications categorized as adult content.
true
The number of sites currently using this policy.
5
The timestamp when the policy was created.
"2025-10-29T13:04:44Z"
Was this page helpful?